hpack-0.16.0: An alternative format for Haskell packages

Safe Haskell | None
Language | Haskell2010

Hpack

# Documentation

hpack :: FilePath -> Bool -> IO () #

hpackResult :: FilePath -> IO Result #

data Result #

Constructors

Result |
Fields resultWarnings :: [String] resultCabalFile :: String resultStatus :: Status

data Status #

Constructors

Generated |
AlreadyGeneratedByNewerHpack |
OutputUnchanged |

version :: Version #

main :: IO () #